package com.shin1ogawa.entity;

import java.io.*;

import javax.jdo.annotations.*;

import com.google.appengine.api.datastore.Key;

@SuppressWarnings("serial")
@PersistenceCapable(identityType = IdentityType.APPLICATION, detachable="true")
@Version(strategy = VersionStrategy.VERSION_NUMBER, column = "version")
public class LLChildA implements Serializable {
	@PrimaryKey
	@Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
	private Key key;

	@Persistent	private String property1;

	public Key getKey() { return key; }
	public void setKey(Key key) { this.key = key; }

	public String getProperty1() { return property1; }
	public void setProperty1(String property1) { this.property1 = property1; }
}
